use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Deserialize)]
pub struct Transitions {
    pub transitions: Vec<Transition>,
}

#[derive(Debug, Clone, Deserialize)]
pub struct Transition {
    pub id: String,
    pub to: TransitionTarget,
    pub name: String,
}

#[derive(Debug, Clone, Deserialize)]
pub struct TransitionTarget {
    pub id: String,
    pub name: String,
}

#[derive(Debug, Serialize)]
pub struct IssueTransitionUpdatePayload {
    pub transition: IssueTransitionUpdatePayloadId,
}

#[derive(Debug, Serialize)]
pub struct IssueTransitionUpdatePayloadId {
    pub id: String,
}
